package org.jeecg.modules.apiservice;

import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.apiBean.OrderPayBean;
import org.jeecg.modules.apiBean.OrderWaterPageBean;
import org.jeecg.modules.bean.ShopOrderPageBean;
import org.jeecg.modules.bean.ShopPageBean;
import org.springframework.web.bind.annotation.RequestHeader;

public interface CheerTwoService {

    //获取加油站列表带分页
    Result<?> getGasStationList(ShopPageBean bean);

    //根据加油站标识获取加油站充值套餐信息
    Result<?> getRechargeList( ShopOrderPageBean bean);

    //根据加油站标识获取相关配置信息
    Result<?> getConfig(String shopId);

    //获取订单列表带分页
    Result<?> getOrderWaterPage(String token, OrderWaterPageBean bean);

    //加油小程序-用户输入支付创建支付订单并且支付
    Result<?> createOrderPay(String token, OrderPayBean bean);

    //查询当前用户是否是管理员
    Result<?> isAdmin( String token);

    //获取推广二维码
    Result<?> getQrCode(String token);

    //支付回调
    Object createNotify(String requestBody);






}
